| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
GL

# Method GL.glDepthMask()

Method glDepthMask

  `void glDepthMask(int flag)`

Description

  glDepthMask specifies whether the depth buffer is enabled for writing. If flag is GL_FALSE , depth buffer writing is disabled. Otherwise, it is enabled. Initially, depth buffer writing is enabled.

Parameter `flag`

  Specifies whether the depth buffer is enabled for writing. If flag is GL_FALSE , depth buffer writing is disabled. Otherwise, it is enabled. Initially, depth buffer writing is enabled.

Throws

  GL_INVALID_OPERATION is generated if glDepthMask is executed between the execution of glBegin and the corresponding execution of glEnd .